aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.UpdateAccessKey

Synopsis

- data UpdateAccessKey = UpdateAccessKey {
  - uakAccessKeyId :: Text
  - uakStatus :: AccessKeyStatus
  - uakUserName :: Maybe Text
  }
- data UpdateAccessKeyResponse = UpdateAccessKeyResponse

# Documentation

data UpdateAccessKey Source #

Changes the status of the specified access key.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateAccessKey.html

Constructors

UpdateAccessKey |

Fields

- uakAccessKeyId :: Text

  ID of the access key to update.

- uakStatus :: AccessKeyStatus

  New status of the access key.

- uakUserName :: Maybe Text

  Name of the user to whom the access key belongs. If omitted, the user will be determined based on the access key used to sign the request.

#### Instances

Instances details

SignQuery UpdateAccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ServiceConfiguration UpdateAccessKey |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration

Methods

signQuery :: UpdateAccessKey -> ServiceConfiguration UpdateAccessKey queryType -> SignatureData -> SignedQuery Source #

Show UpdateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods showsPrec :: Int -> UpdateAccessKey -> ShowS Source # show :: UpdateAccessKey -> String Source # showList :: [UpdateAccessKey] -> ShowS Source #
Eq UpdateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods (==) :: UpdateAccessKey -> UpdateAccessKey -> Bool Source # (/=) :: UpdateAccessKey -> UpdateAccessKey -> Bool Source #
Ord UpdateAccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Methods

compare :: UpdateAccessKey -> UpdateAccessKey -> Ordering Source #

(<) :: UpdateAccessKey -> UpdateAccessKey -> Bool Source #

(<=) :: UpdateAccessKey -> UpdateAccessKey -> Bool Source #

(>) :: UpdateAccessKey -> UpdateAccessKey -> Bool Source #

(>=) :: UpdateAccessKey -> UpdateAccessKey -> Bool Source #

max :: UpdateAccessKey -> UpdateAccessKey -> UpdateAccessKey Source #

min :: UpdateAccessKey -> UpdateAccessKey -> UpdateAccessKey Source #

ResponseConsumer UpdateAccessKey UpdateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ResponseMetadata UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateAccessKey -> IORef (ResponseMetadata UpdateAccessKeyResponse) -> HTTPResponseConsumer UpdateAccessKeyResponse Source #

Transaction UpdateAccessKey UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
type ServiceConfiguration UpdateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration

data UpdateAccessKeyResponse Source #

Constructors

UpdateAccessKeyResponse |

#### Instances

Instances details

AsMemoryResponse UpdateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type MemoryResponse UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse

Methods

loadToMemory :: UpdateAccessKeyResponse -> ResourceT IO (MemoryResponse UpdateAccessKeyResponse) Source #

Show UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods showsPrec :: Int -> UpdateAccessKeyResponse -> ShowS Source # show :: UpdateAccessKeyResponse -> String Source # showList :: [UpdateAccessKeyResponse] -> ShowS Source #
Eq UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods (==) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool Source # (/=) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool Source #
Ord UpdateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Methods

compare :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Ordering Source #

(<) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool Source #

(<=) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool Source #

(>) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool Source #

(>=) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool Source #

max :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> UpdateAccessKeyResponse Source #

min :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> UpdateAccessKeyResponse Source #

ResponseConsumer UpdateAccessKey UpdateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ResponseMetadata UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateAccessKey -> IORef (ResponseMetadata UpdateAccessKeyResponse) -> HTTPResponseConsumer UpdateAccessKeyResponse Source #

Transaction UpdateAccessKey UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
type MemoryResponse UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse
type ResponseMetadata UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata